SIMPLEOPAL(1)

NAME
SimpleOPAL - manual page for SimpleOPAL Version 3.8.2 by Open Phone Abstraction Library on Unix Linux (2.6.32-5-amd64-x86_64)

DESCRIPTION
SimpleOPAL Version 3.8.2 by Open Phone Abstraction Library on Unix Linux (2.6.32-5-amd64-x86_64)

Usage : [options] -l

:   [options] [alias@]hostname (no gatekeeper)

:   [options] alias[@hostname] (with gatekeeper)

  General options:

-l --listen
    : Listen for incoming calls.

-d --dial-peer spec
    : Set dial peer for routing calls (see below)

--no-std-dial-peer
    : Do not include the standard dial peers

-a --auto-answer
    : Automatically answer incoming calls.

-u --user name
    : Set local alias name(s) (defaults to login name).

-p --password pwd
    : Set password for user (gk or SIP authorisation).

-D --disable media
    : Disable the specified codec (may be used multiple times)

-P --prefer media
    : Prefer the specified codec (may be used multiple times)

-O --option fmt:opt=val : Set codec option (may be used multiple times)
    : fmt is name of codec, eg "H.261" : opt is name of option, eg "Target Bit Rate" : val is value of option, eg "48000"

--srcep ep
    : Set the source endpoint to use for making calls

--disableui
    : disable the user interface

  Audio options:

-j --jitter [min-]max
    : Set minimum (optional) and maximum jitter buffer (in milliseconds).

-e --silence
    : Disable transmitter silence detection.

  Video options:

--rx-video
    : Start receiving video immediately.

--tx-video
    : Start transmitting video immediately.

--no-rx-video
    : Don't start receiving video immediately.

--no-tx-video
    : Don't start transmitting video immediately.

--grabber dev
    : Set the video grabber device.

--grabdriver dev
    : Set the video grabber driver (if device name is ambiguous).

--grabchannel num
    : Set the video grabber device channel.

--display dev
    : Set the video display device.

--displaydriver dev
    : Set the video display driver (if device name is ambiguous).

--video-size size
    : Set the size of the video for all video formats, use : "qcif", "cif", WxH etc

--video-rate rate
    : Set the frame rate of video for all video formats

--video-bitrate rate : Set the bit rate for all video formats

-C string
    : Enable and select video rate control algorithm

  SIP options:

-I --no-sip
    : Disable SIP protocol.

-r --register-sip host
    : Register with SIP server.

--sip-proxy url
    : SIP proxy information, may be just a host name : or full URL eg sip:user:pwd@host

--sip-listen iface
    : Interface/port(s) to listen for SIP requests : '*' is all interfaces, (default udp$:*:5060)

--sip-user-agent name: SIP UserAgent name to use.

--sip-ui type
    : Set type of user indications to use for SIP. Can be one of 'rfc2833', 'info-tone', 'info-string'.

--use-long-mime
    : Use long MIME headers on outgoing SIP messages

--sip-domain str
    : set authentication domain/realm

  H.323 options:

-H --no-h323
    : Disable H.323 protocol.

--no-h323s
    : Do not create secure H.323 endpoint

-g --gatekeeper host
    : Specify gatekeeper host, '*' indicates broadcast discovery.

-G --gk-id name
    : Specify gatekeeper identifier.

--h323s-gk host
    : Specify gatekeeper host for secure H.323 endpoint

-R --require-gatekeeper : Exit if gatekeeper discovery fails.

--gk-token str
    : Set gatekeeper security token OID.

--disable-grq
    : Do not send GRQ when registering with GK

-b --bandwidth bps
    : Limit bandwidth usage to bps bits/second.

-f --fast-disable
    : Disable fast start.

-T --h245tunneldisable
    : Disable H245 tunnelling.

--h323-listen iface
    : Interface/port(s) to listen for H.323 requests

--h323s-listen iface : Interface/port(s) to listen for secure H.323 requests
    : '*' is all interfaces, (default tcp$:*:1720)

  Line Interface options:

-L --no-lid
    : Do not use line interface device.

--lid device
    : Select line interface device (eg Quicknet:013A17C2, default *:*).

--country code
    : Select country to use for LID (eg "US", "au" or "+61").

  Sound card options:

-S --no-sound
    : Do not use sound input/output device.

-s --sound device
    : Select sound input/output device.

--sound-in device
    : Select sound input device.

--sound-out device
    : Select sound output device.

  IVR options:

-V --no-ivr
    : Disable IVR.

-x --vxml file
    : Set vxml file to use for IVR.

--tts engine
    : Set the text to speech engine

  IP options:

--translate ip
    : Set external IP address if masqueraded

--portbase n
    : Set TCP/UDP/RTP port base

--portmax n
    : Set TCP/UDP/RTP port max

--tcp-base n
    : Set TCP port base (default 0)

--tcp-max n
    : Set TCP port max (default base+99)

--udp-base n
    : Set UDP port base (default 6000)

--udp-max n
    : Set UDP port max (default base+199)

--rtp-base n
    : Set RTP port base (default 5000)

--rtp-max n
    : Set RTP port max (default base+199)

--rtp-tos n
    : Set RTP packet IP TOS bits to n

--stun server
    : Set STUN server

  Debug options:

-t --trace
    : Enable trace, use multiple times for more detail.

-o --output
    : File for trace output, default is stderr.

-X --no-iax2
    : Remove support for iax2

-h --help
    : This help message.

  Dial peer specification:

    General form is pattern=destination where pattern is a regular expression matching the incoming calls destination address and will translate it to the outgoing destination address for making an outgoing call. For example, picking up a PhoneJACK handset and dialling 2, 6 would result in an address of "pots:26" which would then be matched against, say, a spec of pots:26=h323:10.0.1.1, resulting in a call from the pots handset to 10.0.1.1 using the H.323 protocol.

    As the pattern field is a regular expression, you could have used in the above .*:26=h323:10.0.1.1 to achieve the same result with the addition that an incoming call from a SIP client would also be routed to the H.323 client.

    Note that the pattern has an implicit ^ and $ at the beginning and end of the regular expression. So it must match the entire address.

    If the specification is of the form @filename, then the file is read with each line consisting of a pattern=destination dial peer specification. Lines without and equal sign or beginning with '#' are ignored.

    The standard dial peers that will be included are:

    If SIP is enabled but H.323 & IAX2 are disabled:

    pots:.*\*.*\*.* = sip:<dn2ip> pots:.* = sip:<da> pc:.* = sip:<da>

    If SIP & IAX2 are not enabled and H.323 is enabled:

    pots:.*\*.*\*.* = h323:<dn2ip> pots:.* = h323:<da> pc:.* = h323:<da>

    If POTS is enabled:

    h323:.* = pots:<dn> sip:.* = pots:<dn> iax2:.* = pots:<dn>

    If POTS is not enabled and the PC sound system is enabled:

    iax2:.* = pc: h323:.* = pc: sip:. * = pc:

    If IVR is enabled then a # from any protocol will route it it, ie:

.*:#
    = ivr:

    If IAX2 is enabled then you can make a iax2 call with a command like:

simpleopal -I -H
    iax2:guest@misery.digium.com/s

    ((Please ensure simplopal is the only iax2 app running on your box))